{"swagger":"2.0","info":{"version":"v1","title":"a2is.Retail.DeskSurveyDashboard.API"},"host":"retail-qc.asuransiastra.com","basePath":"/Retail/API/DeskSurveyDashboard","schemes":["https"],"paths":{"/GetMasterSurveyor":{"post":{"tags":["DeskSurveyDashboard"],"operationId":"DeskSurveyDashboard_GetMasterSurveyor","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"form","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/KeyValuePair[String,String]"}}},{"name":"Authorization","in":"header","description":"Input your Bearer token in this format - Bearer {your token here}","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"$ref":"#/definitions/MasterSurveyor"}}},"500":{"description":"Internal Server Error","schema":{"type":"array","items":{"$ref":"#/definitions/MasterSurveyor"}}}}}},"/GetInboundCallDistribution":{"post":{"tags":["DeskSurveyDashboard"],"operationId":"DeskSurveyDashboard_GetInboundCallDistribution","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"param","in":"body","required":true,"schema":{"$ref":"#/definitions/ParamSelfSurvey"}},{"name":"Authorization","in":"header","description":"Input your Bearer token in this format - Bearer {your token here}","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"$ref":"#/definitions/InboundCallDistribution"}}}}}},"/GetSurveyorSLAInbound":{"post":{"tags":["DeskSurveyDashboard"],"operationId":"DeskSurveyDashboard_GetSurveyorSLAInbound","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"param","in":"body","required":true,"schema":{"$ref":"#/definitions/ParamSelfSurvey"}},{"name":"Authorization","in":"header","description":"Input your Bearer token in this format - Bearer {your token here}","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/SurveyorSLAInbound"}}}}},"/GetDecisionRecord":{"post":{"tags":["DeskSurveyDashboard"],"operationId":"DeskSurveyDashboard_GetDecisionRecord","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"param","in":"body","required":true,"schema":{"$ref":"#/definitions/ParamSelfSurvey"}},{"name":"Authorization","in":"header","description":"Input your Bearer token in this format - Bearer {your token here}","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/DecisionRecord"}}}}},"/GetStatusDurationRecord":{"post":{"tags":["DeskSurveyDashboard"],"operationId":"DeskSurveyDashboard_GetStatusDurationRecord","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"param","in":"body","required":true,"schema":{"$ref":"#/definitions/ParamSelfSurvey"}},{"name":"Authorization","in":"header","description":"Input your Bearer token in this format - Bearer {your token here}","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/StatusDurationRecord"}}}}},"/GetSurveyorRecord":{"post":{"tags":["DeskSurveyDashboard"],"operationId":"DeskSurveyDashboard_GetSurveyorRecord","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"param","in":"body","required":true,"schema":{"$ref":"#/definitions/ParamSelfSurvey"}},{"name":"Authorization","in":"header","description":"Input your Bearer token in this format - Bearer {your token here}","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"type":"array","items":{"$ref":"#/definitions/SurveyorRecord"}}}}}},"/GetInboundRecord":{"post":{"tags":["DeskSurveyDashboard"],"operationId":"DeskSurveyDashboard_GetInboundRecord","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"param","in":"body","required":true,"schema":{"$ref":"#/definitions/ParamSelfSurvey"}},{"name":"Authorization","in":"header","description":"Input your Bearer token in this format - Bearer {your token here}","required":false,"type":"string"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/InboundRecord"}}}}}},"definitions":{"KeyValuePair[String,String]":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"MasterSurveyor":{"type":"object","properties":{"SurveyorID":{"type":"string"}}},"ParamSelfSurvey":{"type":"object","properties":{"PeriodType":{"type":"string"},"SurveyorID":{"type":"string"},"PeriodFrom":{"type":"string"},"PeriodTo":{"type":"string"}}},"InboundCallDistribution":{"type":"object","properties":{"Time":{"type":"string"},"Key":{"type":"string"},"Answered":{"type":"string"},"Abandoned":{"type":"string"}}},"SurveyorSLAInbound":{"type":"object","properties":{"SurveyorStaffed":{"type":"string"},"SLAPercentage":{"type":"string"}}},"DecisionRecord":{"type":"object","properties":{"WorkOrder":{"type":"string"},"PendingDBL":{"type":"string"},"PendingFurtherInvestigation":{"type":"string"},"PendingSharingCase":{"type":"string"},"PendingInsuredConfirmation":{"type":"string"},"PendingEstimation":{"type":"string"},"Adjustment":{"type":"string"},"Declined":{"type":"string"},"IssuedSPK":{"type":"string"},"WaitingApproval":{"type":"string"}}},"StatusDurationRecord":{"type":"object","properties":{"TotalCall":{"type":"string"},"AvgAnswerSpeed":{"type":"string"},"AvgHandlingTime":{"type":"string"},"AvgHoldTime":{"type":"string"},"AbandonRate":{"type":"string"}}},"SurveyorRecord":{"type":"object","properties":{"Surveyor":{"type":"string"},"Status":{"type":"string"},"Shift":{"type":"string"},"TotalCalls":{"type":"string"},"AbandonRate":{"type":"string"},"AvgAnswerSpeed":{"type":"string"},"AvgHandlingTime":{"type":"string"},"AvgHoldTime":{"type":"string"}}},"InboundRecord":{"type":"object","properties":{"TotalCalls":{"type":"string"},"CallsAnswered":{"type":"string"},"CallsWithQueue":{"type":"string"},"AvgQueuingTime":{"type":"string"}}}},"securityDefinitions":{"Bearer":{"type":"apiKey","description":"Input your Bearer token in this format - Bearer {your token here}","name":"Authorization","in":"header"}}}